#include <stdio.h>
#include <stdlib.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>

int main(int argc, char* argv[])
{
    SDL_Window* win;
    SDL_Renderer* renderer;
    SDL_Surface* img_surface;
    SDL_Texture* img_texture;
    SDL_Rect dest_rect = { 0, 0, 320, 480 };

    if(SDL_Init(SDL_INIT_VIDEO)<0)
        exit(printf("SDL_ERROR: %s\n",SDL_GetError()));

    win = SDL_CreateWindow("SDL_Image TGA Display",
        SDL_WINDOWPOS_UNDEFINED, SDL_WINDOWPOS_UNDEFINED,
        640, 480, SDL_WINDOW_SHOWN);
    if(!win) exit(printf("SDL_ERROR: %s\n", SDL_GetError()));


    // Load the image into a texture
    renderer = SDL_CreateRenderer(win,-1,0);
    img_surface = IMG_Load("1_Play.tga");
    img_texture = SDL_CreateTextureFromSurface(renderer,
        img_surface);


    // Show it until the window gets closed
    while(1)
    {
        SDL_Event event;

        SDL_RenderClear(renderer);
        SDL_RenderCopy(renderer, img_texture, NULL, &dest_rect);
        SDL_RenderPresent(renderer);


        SDL_WaitEvent(&event);
        if(event.type == SDL_QUIT) break;
    }


    // Clean up
    SDL_DestroyTexture(img_texture);
    SDL_FreeSurface(img_surface);
    SDL_DestroyRenderer(renderer);
    SDL_DestroyWindow(win);
	SDL_Quit();
    return 0;
}
